Skip to content

Reads recent processes and current manual start eligibility on one Subject.

GET
/api/workspace/workflow/runtime/subjects/{definitionId}/{subjectObjectId}
curl --request GET \
--url https://example.com/api/workspace/workflow/runtime/subjects/example/example \
--header 'Authorization: Bearer <token>'
definitionId
required
string
subjectObjectId
required
string
access_token
string

Optional access token for clients that cannot set Authorization headers. Prefer Authorization: Bearer <token> when possible.

OK

Media typeapplication/json
object
Data
object
DefinitionId
string
nullable
SubjectObjectId
string
nullable
CanStart
boolean
Instances
Array<object>
nullable
object
Id
string
nullable
DefinitionId
string
nullable
RevisionId
string
nullable
SubjectObjectId
string
nullable
Status
integer format: int32
Allowed values: 0 1 2 3 4
OutcomeId
string
nullable
EndNodeKey
string
nullable
StartedAtUtc
string format: date-time
CompletedAtUtc
string format: date-time
nullable
RowVersion
string format: uuid
TechnicalOnly
boolean
ActiveNodes
Array<object>
nullable
object
Id
string
nullable
NodeKey
string
nullable
NodeKind
string
nullable
Status
integer format: int32
Allowed values: 0 1 2 3 4
WaitKind
integer format: int32
Allowed values: 0 1 2 3
EnteredAtUtc
string format: date-time
TimerDueAtUtc
string format: date-time
nullable
RowVersion
string format: uuid
Title
string
nullable
Instruction
string
nullable
Choices
Array<object>
nullable
object
Key
string
nullable
Title
string
nullable
CanRespond
boolean
ErrorCode
string
nullable
EventProgress
object
MatchedObservations
integer format: int32
TotalObservations
integer format: int32
Actions
object
CanCancel
boolean
CanRetry
boolean
CanSuspend
boolean
CanResume
boolean
PreSuspendStatus
integer format: int32
Allowed values: 0 1 2 3 4
Number
string
nullable
DefinitionName
string
nullable
RevisionNumber
integer format: int32
OutcomeName
string
nullable
Subject

Stable identity of one Moltaro resource instance.

object
ModuleKey
string
nullable
ResourceKind
string
nullable
ContextResourceId
string
nullable
ResourceObjectId
string
nullable
SubjectLabel
string
nullable
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Data": {
"Instances": [
{
"Status": 0,
"ActiveNodes": [
{
"Status": 0,
"WaitKind": 0
}
],
"PreSuspendStatus": 0
}
]
},
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}